Transmission 3 Linux - Unable to save torrent file: No such file or directory

Ask for help and report issues not specific to either the Mac OS X or GTK+ versions of Transmission
Post Reply
moario
Posts: 2
Joined: Tue Sep 15, 2020 5:06 pm

Transmission 3 Linux - Unable to save torrent file: No such file or directory

Post by moario » Tue Sep 15, 2020 5:31 pm

Hi,
please advise,
I had transmission 2.x on my raspberry pi and uninstalled it and installed v3 by building it on my linux box from the github source.
but I am getting error message when adding a new torrent file I am getting this error message after a few minutes of start downloading:
first error:

Code: Select all

Unable to save torrent file: No such file or directory
second error:

Code: Select all

Unable to save resume file: No such file or directory
and all the folders in /home/pi/.config/transmission-daemon location are empty.
I did register the start up daemon to run at boot by adding a file in

Code: Select all

/etc/init.d/transmission-daemon

Code: Select all

#!/bin/sh -e
### BEGIN INIT INFO
# Provides:          transmission-daemon
# Required-Start:    $local_fs $remote_fs $network
# Required-Stop:     $local_fs $remote_fs $network
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Start or stop the transmission-daemon.
# Description:       Enable service provided by transmission-daemon.
### END INIT INFO

NAME=transmission-daemon
DAEMON=/usr/local/bin/$NAME
USER=debian-transmission
STOP_TIMEOUT=30

export PATH="${PATH:+$PATH:}/sbin"

[ -x $DAEMON ] || exit 0

[ -e /etc/default/$NAME ] && . /etc/default/$NAME

. /lib/lsb/init-functions

start_daemon () {
    if [ $ENABLE_DAEMON != 1 ]; then
        log_progress_msg "(disabled)"
                log_end_msg 255 || true
    else
        start-stop-daemon --start \
        --chuid $USER \
                $START_STOP_OPTIONS \
        --exec $DAEMON -- $OPTIONS || log_end_msg $?
                log_end_msg 0
    fi
}

case "$1" in
    start)
        log_daemon_msg "Starting bittorrent daemon" "$NAME"
        start_daemon
        ;;
    stop)
        log_daemon_msg "Stopping bittorrent daemon" "$NAME"
        start-stop-daemon --stop --quiet \
            --exec $DAEMON --retry $STOP_TIMEOUT \
            --oknodo || log_end_msg $?
        log_end_msg 0
        ;;
    reload)
        log_daemon_msg "Reloading bittorrent daemon" "$NAME"
        start-stop-daemon --stop --quiet \
            --exec $DAEMON \
            --oknodo --signal 1 || log_end_msg $?
        log_end_msg 0
        ;;
    restart|force-reload)
        log_daemon_msg "Restarting bittorrent daemon" "$NAME"
        start-stop-daemon --stop --quiet \
            --exec $DAEMON --retry $STOP_TIMEOUT \
            --oknodo || log_end_msg $?
        start_daemon
        ;;
    status)
        status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
        ;;
    *)
        log_action_msg "Usage: /etc/init.d/$NAME {start|stop|reload|force-reload|restart|status}" || true
        exit 2
        ;;
esac

exit 0
and this is my setting file at

Code: Select all

/var/lib/transmission-daemon/info/settings.json

Code: Select all

{
    "alt-speed-down": 50,
    "alt-speed-enabled": false,
    "alt-speed-time-begin": 540,
    "alt-speed-time-day": 127,
    "alt-speed-time-enabled": false,
    "alt-speed-time-end": 1020,
    "alt-speed-up": 50,
    "bind-address-ipv4": "0.0.0.0",
    "bind-address-ipv6": "::",
    "blocklist-enabled": false,
    "blocklist-url": "http://www.example.com/blocklist",
    "cache-size-mb": 2,
    "dht-enabled": true,
    "download-dir": "/home/pi/secondary-hard-drive/torrents",
    "download-queue-enabled": false,
    "download-queue-size": 1,
    "encryption": 2,
    "idle-seeding-limit": 30,
    "idle-seeding-limit-enabled": false,
    "incomplete-dir": "/home/pi/secondary-hard-drive/torrents",
    "incomplete-dir-enabled": false,
    "lpd-enabled": false,
    "message-level": 2,
    "peer-congestion-algorithm": "",
    "peer-limit-global": 100,
    "peer-limit-per-torrent": 20,
    "peer-port": 51413,
    "peer-port-random-high": 65535,
    "peer-port-random-low": 49152,
    "peer-port-random-on-start": false,
    "peer-socket-tos": "default",
    "pex-enabled": true,
    "port-forwarding-enabled": false,
    "preallocation": 1,
    "prefetch-enabled": 0,
    "queue-stalled-enabled": true,
    "queue-stalled-minutes": 30,
    "ratio-limit": 0,
    "ratio-limit-enabled": true,
    "rename-partial-files": true,
    "rpc-authentication-required": false,
    "rpc-bind-address": "0.0.0.0",
    "rpc-enabled": true,
    "rpc-password": "{43041796ac49801e85577ba94a0e4ee5642d53a6soamZcAy",
    "rpc-port": 9091,
    "rpc-url": "/transmission/",
    "rpc-username": "",
    "rpc-whitelist": "127.0.0.1, 192.168.1.*",
    "rpc-whitelist-enabled": false,
    "scrape-paused-torrents-enabled": true,
    "script-torrent-done-enabled": false,
    "script-torrent-done-filename": "",
    "seed-queue-enabled": false,
    "seed-queue-size": 10,
    "speed-limit-down": 100,
    "speed-limit-down-enabled": false,
    "speed-limit-up": 1,
    "speed-limit-up-enabled": true,
    "start-added-torrents": true,
    "trash-original-torrent-files": true,
    "umask": 2,
    "upload-slots-per-torrent": 14,
    "utp-enabled": true,
    "watch-dir": "/home/pi/secondary-hard-drive/torrent-watch",
    "watch-dir-enabled": true
}
this is what I tried so far but non of those didn't work:
  • change the location of meta-data folders by

    Code: Select all

    sudo transmission-daemon -g NEW_DIRECTORY
  • set permission to 777 by

    Code: Select all

    sudo chmod 777 -R NEW_DIRECTORY/*.*
  • run the transmission-daemon proccess as root user or different user

moario
Posts: 2
Joined: Tue Sep 15, 2020 5:06 pm

Re: Transmission 3 Linux - Unable to save torrent file: No such file or directory

Post by moario » Wed Sep 16, 2020 3:18 am

finally I solve the problem by removing all configuartions from old installation and let the new version create those folder by itself.

Post Reply